Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZProductCurrency Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| value ()
| sign ()
| prefixSign ()
| setName ( $value)
| setValue ( $value)
| setSign ( $value)
| setPrefixSign ( $value)

## Public Attributes
| $ID
| $Name
| $Sign
| $PrefixSign
| $Value

## Detailed Description

! eZTrade This class handles alternative product currencies.

See also
  eZProduct

Definition at line 39 of file ezproductcurrency.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZProductCurrency::__construct | ( |  | $id = `-1` | ) |

Constructs a new object.

Definition at line 44 of file ezproductcurrency.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZProductCurrency::delete | ( |  | ) |

Deletes a alternative currency from the database.

Definition at line 158 of file ezproductcurrency.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZProductCurrency::get | ( |  | $id = `-1` | ) |

Fetches the alternative currency from the database.

Definition at line 112 of file ezproductcurrency.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZProductCurrency::getAll | ( |  | ) |

Retrieves all the alternative currencies from the database.

Definition at line 138 of file ezproductcurrency.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZProductCurrency::id | ( |  | ) |

Returns the object ID to the currency.

Definition at line 173 of file ezproductcurrency.php.

References $ID.

## ◆ name()

eZProductCurrency::name | ( |  | ) |

Returns the name of the currency.

Definition at line 181 of file ezproductcurrency.php.

References $Name.

## ◆ prefixSign()

eZProductCurrency::prefixSign | ( |  | ) |

Returns true if the sign should prefix the value, false if not.

Definition at line 205 of file ezproductcurrency.php.

## ◆ setName()

eZProductCurrency::setName | ( |  | $value | ) |

Sets the name of the currency.

Definition at line 216 of file ezproductcurrency.php.

References Name.

## ◆ setPrefixSign()

eZProductCurrency::setPrefixSign | ( |  | $value | ) |

Set to true if the sign should prefix theb value, false if not.

Definition at line 243 of file ezproductcurrency.php.

## ◆ setSign()

eZProductCurrency::setSign | ( |  | $value | ) |

Sets the sign of the currency.

Definition at line 235 of file ezproductcurrency.php.

## ◆ setValue()

eZProductCurrency::setValue | ( |  | $value | ) |

Sets the value of the currency.

Definition at line 224 of file ezproductcurrency.php.

## ◆ sign()

eZProductCurrency::sign | ( |  | ) |

Returns the sign of the currency.

Definition at line 197 of file ezproductcurrency.php.

References $Sign.

## ◆ store()

eZProductCurrency::store | ( |  | ) |

Stores/updates the alternative currency in the database.

Definition at line 58 of file ezproductcurrency.php.

References $db, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ value()

eZProductCurrency::value | ( |  | ) |

Returns the value of the currency.

Definition at line 189 of file ezproductcurrency.php.

## Member Data Documentation

## ◆ $ID

eZProductCurrency::$ID

Definition at line 251 of file ezproductcurrency.php.

Referenced by __construct(), and id().

## ◆ $Name

eZProductCurrency::$Name

Definition at line 252 of file ezproductcurrency.php.

Referenced by name().

## ◆ $PrefixSign

eZProductCurrency::$PrefixSign

Definition at line 254 of file ezproductcurrency.php.

## ◆ $Sign

eZProductCurrency::$Sign

Definition at line 253 of file ezproductcurrency.php.

Referenced by sign().

## ◆ $Value

eZProductCurrency::$Value

Definition at line 255 of file ezproductcurrency.php.

The documentation for this class was generated from the following file:

- ezproductcurrency.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.